Script: *open-rdp.ps1*
========================

This script launches the Remote Desktop Protocol (RDP) application.
NOTE: Documentation of mstsc at: https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/mstsc

Parameters
----------
```powershell
PS> ./open-rdp.ps1 [[-hostname] <String>] [<CommonParameters>]

-hostname <String>
    
    Required?                    false
    Position?                    1
    Default value                
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./open-rdp.ps1

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
        Opens the RDP app
.DESCRIPTION
        This script launches the Remote Desktop Protocol (RDP) application.
	NOTE: Documentation of mstsc at: https://learn.microsoft.com/en-us/windows-server/administration/windows-commands/mstsc
.EXAMPLE
        PS> ./open-rdp.ps1
.LINK
        https://github.com/fleschutz/PowerShell
.NOTES
        Author: Markus Fleschutz | License: CC0
#>

param([string]$hostname = "")

if ($hostname -eq "") {
	& Start-Process "$env:windir\system32\mstsc.exe"
} else {
	& Start-Process "$env:windir\system32\mstsc.exe" -ArgumentList "/v:$hostname"
}
exit 0 # success
```

*(generated by convert-ps2md.ps1 using the comment-based help of open-rdp.ps1 as of 08/15/2024 09:50:52)*
